RIPGREP-ALL(1)

NAME
ripgrep-all - search through PDFs, E-Books, documents and archives

DESCRIPTION
ripgrep-all 0.10.10 https://github.com/phiresky/ripgrep-all rga: ripgrep, but also search in PDFs, E-Books, Office documents, zip, tar.gz, etc.

  USAGE:

    rga [RGA OPTIONS] [RG OPTIONS] PATTERN [PATH ...]

  FLAGS:

--rga-accurate

    Use more accurate but slower matching by mime type.

    By default, rga will match files using file extensions. Some programs, such as sqlite3, don't care about the file extension at all, so users sometimes use any or no extension at all. With this flag, rga will try to detect the mime type of input files using the magic bytes (similar to the `file` utility), and use that to choose the adapter. Detection is only done on the first 8KiB of the file, since we can't always seek on the input (in archives).

--rga-no-cache

    Disable caching of results.

    By default, rga caches the extracted text, if it is small enough, to a database. This way, repeated searches on the same set of files will be much faster. The location of the DB varies by platform: - `${XDG_CACHE_DIR-~/.cache}/ripgrep-all` on Linux - `~/Library/Caches/ripgrep-all` on macOS - `C: \Users\username\AppData\Local\ripgrep-all` on Windows

    If you pass this flag, all caching will be disabled.

-h, --help

    Prints help information

--rga-list-adapters

    List all known adapters

--rga-no-prefix-filenames

    Don't prefix lines of files within archive with the path inside the archive.

    Inside archives, by default rga prefixes the content of each file with the file path within the archive. This is usually useful, but can cause problems because then the inner path is also searched for the pattern.

--rga-print-config-schema

    Print the JSON Schema of the configuration file

--rg-help

    Show help for ripgrep itself

--rg-version

    Show version of ripgrep itself

-V, --version

    Prints version information

  OPTIONS:

--rga-adapters=<adapters>...

    Change which adapters to use and in which priority order (descending).

    - "foo,bar" means use only adapters foo and bar. - "-bar,baz" means use all default adapters except for bar and baz. - "+bar,baz" means use all default adapters and also bar and baz.

--rga-cache-compression-level=<compression-level>

    ZSTD compression level to apply to adapter outputs before storing in cache DB.

    Ranges from 1 - 22. [default: 12]

--rga-config-file=<config-file-path>

--rga-max-archive-recursion=<max-archive-recursion>

    Maximum depth of nested archives to recurse into.

    When searching in archives, rga will recurse into archives inside archives. This option limits the depth. [default: 5]

--rga-cache-max-blob-len=<max-blob-len>

    Max compressed size to cache.

    Longest byte length (after compression) to store in cache. Longer adapter outputs will not be cached and recomputed every time.

    Allowed suffixes on command line: k M G [default: 2000000]

--rga-cache-path=<path>

    Path to store cache DB [default: /home/werdahias/.cache/ripgrep-all]

-h shows a concise overview, --help shows more detail and advanced options.

All other options not shown here are passed directly to rg, especially [PATTERN] and [PATH ...]